package com.qiuguo.iot.base.enums;

/*
* 设备运行模式类型
* 作者：吴林
* */
// 0 普通模式 1成人模式 2儿童模式
public enum RunModeEnum {
    NORMAL(0, "普通模式"),
    ADULT(1, "成人模式"),
    CHILDREN(1, "儿童模式"),
    ;
     RunModeEnum(Integer c, String n){
        code = c;
        name = n;
    }
    private Integer code;
    private String name;
    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

    public static RunModeEnum getEnumWithCode(Integer c){
        for (RunModeEnum e:values()
        ) {
            if(e.getCode().compareTo(c) == 0){
                return e;
            }
        }
        return null;
    }
    public static RunModeEnum getEnumWithName(String name){
        for (RunModeEnum e:values()
        ) {
            if(e.getName().equals(name)){
                return e;
            }
        }
        return null;
    }
}
